package industries.sunshine.planningpoker

import scala.scalajs.js
import com.raquo.laminar.api.L.{*, given}
import industries.sunshine.planningpoker.common.Models.*

object OwnHandControls {
  def render(roomStateSignal: Signal[RoomStateView]): Element = {
    val a = 1
    div(
    className := "flex flex-row justify-center",
    renderCard("xs"),
    renderCard("s"),
    renderCard("m"),
    renderCard("l"),
    )
  }

  def renderCard(value: String): Element = {
     div(
      className := "w-24 h-48 m-1 rounded flex justify-center items-center m-3",
      className :=  "text-black bg-gray-50 border-black border-2",
      div(
        className := "-rotate-45 text-xl",
        value
      )
    )

  }
}
